%define name dynamic-wallpaper
%define version 0.3.1
%define release %mkrel 1

Summary: Dynamic wallpaper is based on weather-wallpaper	 
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:	 Graphical desktop/Other
URL:	 http://sourceforge.net/projects/dynwallpaper/
Source:	 http://sourceforge.net/projects/dynwallpaper/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires:  python => 2.5
Requires:  python-pymetar 
  

%description
Dynamic wallpaper is based on weather-wallpaper and generates svg wallpaper based on 
current weather, season, time of day and others. It supports themes.

%prep
%setup -q

%build

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --remove-category="DesktopSettings" \
    --remove-category="Amusement" \
    --remove-category="GTK" \
    --add-category="X-MandrivaLinux-Graphics-Amusement" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 *.svg %{buildroot}%_miconsdir/%{name}.png
install -m 0644 *.svg %{buildroot}%_iconsdir/%{name}.png
install -m 0644 *.svg %{buildroot}%_liconsdir/%{name}.png

# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png

# remove empty folders
rm -rf %{buildroot}%{_datadir}/locale
rm -rf %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}


%files 
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS README-themes
%{_bindir}/%{name}
%{_bindir}/motor.py
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png


%changelog
* Thu Apr 30 2008 slick50 <lxgator@gmail.com> 0.3.1-1pclos2009
- initial pkg

